Game Develop Core: gd::SourceFile Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | List of all members
gd::SourceFile Class Reference

Internal class representing a "physical" source file. More...

`#include <SourceFile.h>`

## Public Member Functions

std::string | GetFileName () const
void | SetFileName (std::string filename_)
void | LoadFromXml (const TiXmlElement *elem)
void | SaveToXml (TiXmlElement *elem)
void | SetGDManaged (bool gdManaged_)
bool | IsGDManaged () const
void | SetAssociatedEvent (boost::weak_ptr< BaseEvent > event)
boost::weak_ptr< BaseEvent > | GetAssociatedEvent () const

## Detailed Description

Internal class representing a "physical" source file.

SourceFile represents a "physical" source file that must be compiled so as to be used by the game as a dynamic extension.

## Member Function Documentation

boost::weak_ptr<BaseEvent> gd::SourceFile::GetAssociatedEvent | ( | ) |  | const

inline

Return a (weak) pointer to the event associated to the source file, if any.

See Also
  SetAssociatedEvent

std::string gd::SourceFile::GetFileName | ( | ) |  | const

inline

Get the filename

bool gd::SourceFile::IsGDManaged | ( | ) |  | const

inline

Return true if the file is hidden from the user point of view and is only managed by Game Develop

void gd::SourceFile::LoadFromXml | ( | const TiXmlElement * | elem) |  |

Load from XML element

void gd::SourceFile::SaveToXml | ( | TiXmlElement * | elem) |  |

Save to XML element

void gd::SourceFile::SetAssociatedEvent | ( | boost::weak_ptr< BaseEvent > | event) |  |

inline

When a source file is GD-managed, it is usually created for a specific event ( C++ Code Event ).

Using this method, the event can store in the source file a (weak) pointer to itself, so that we can show to the user the event if the compilation fails in the source file.

void gd::SourceFile::SetFileName | ( | std::string | filename_) |  |

inline

Change the filename

void gd::SourceFile::SetGDManaged | ( | bool | gdManaged_) |  |

inline

Set if the file is hidden from the user point of view and is only managed by Game Develop

The documentation for this class was generated from the following files:

- SourceFile.h
- SourceFile.cpp